Bug 90528 - [NEW PORT] www/sendsms: Simple perl command-line utility to send SMS via from on provider site
Summary: [NEW PORT] www/sendsms: Simple perl command-line utility to send SMS via from...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports-bugs (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-12-17 03:40 UTC by Ion-Mihai " IOnut " Tetcu
Modified: 2005-12-21 11:23 UTC (History)
0 users

See Also:


Attachments
sendsms.shar (3.23 KB, text/plain)
2005-12-17 03:40 UTC, Ion-Mihai " IOnut " Tetcu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ion-Mihai " IOnut " Tetcu 2005-12-17 03:40:02 UTC

My 20th port :)


If you have an AT&T Wireless, Bell Canada/Bell Mobility, Cellular One,
Cingular, Cricket, Sprint PCS, SkyTel, or T-Mobile cell phone or pager, and you
want the ability to send SMS messages to it via a command-line utility, this is
what you need. All this program requires is a computer with a baseline Perl 5.x
installation and web access. NO EXTRA PERL MODULES REQUIRED!

How does it work?
SendSMS connects to your service provider's web page and pretends to submit a
form to their 'Instant Messaging' web page. Currently, AT&T Wireless, Bell
Canada/Bell Mobility, Cellular One, Cingular, Cricket, SkyTel, Sprint PCS, and
T-Mobile are supported. Users are encouraged to modify the provided templates to
add support for any providers who are currently unsupported.

Other Service Providers
If you are interested in supporting another service provider please try to
modify sendSMS on your own. It is not hard at all. Instructions and examples are
included in the code, and if you're familiar with the site you're porting to, it
takes about 15 minutes. If you get sendSMS working with any other providers' web
sites, please email Paul Kreiner [deacon at thedeacon.org] and/or the port
maintainer a patch so it can be added to the next release.

WWW: http://caspian.dotconf.net/menu/Software/SendSMS/
Comment 1 Pav Lucistnik freebsd_committer 2005-12-21 00:00:18 UTC
Are you sure about the www category? SMS tools usually go to comms/

Also, this will not patch, as you USE_PERL_RUN and patch: is before
install:


-- 
Pav Lucistnik <pav@oook.cz>
              <pav@FreeBSD.org>

Geography is only physics slowed down, with a few trees stuck on it...
  -- Terry Pratchett
Comment 2 Ion-Mihai " IOnut " Tetcu 2005-12-21 01:34:20 UTC
On Wed, 21 Dec 2005 01:00:18 +0100
Pav Lucistnik <pav@FreeBSD.org> wrote:

> Are you sure about the www category? SMS tools usually go to comms/

Since it actually submits a web form, I think is rather www. comms secondar=
y ?

> Also, this will not patch, as you USE_PERL_RUN and patch: is before
> install:

=46rom now on, perl/non-perl it's REINPLACE all the way.
I'll fix it sometime tomorrow.


--=20
IOnut - Unregistered ;) FreeBSD "user"
  "Intellectual Property" is   nowhere near as valuable   as "Intellect"

BOFH excuse #198:
Post-it Note Sludge leaked into the monitor
Comment 3 Renato Botelho freebsd_committer 2005-12-21 11:23:21 UTC
State Changed
From-To: open->closed

New port added with changes, s/USE_PERL_RUN/USE_PERL5_RUN/, Use 
PLIST_FILES instead pkg-plist with just one line, since PERL is required 
just to run, use REINPLACE_CMD to patch. Thanks for contributing!